package com.ecep.contract.task;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.ecep.contract.MessageHolder;
import com.ecep.contract.WebSocketClientTasker;
import com.ecep.contract.vo.VendorVo;

import lombok.Setter;

/**
 * 更新供应商评价表
 */
public class CompanyVendorEvaluationFormUpdateTask extends Tasker<Object> implements WebSocketClientTasker {
    private static final Logger logger = LoggerFactory.getLogger(CompanyVendorEvaluationFormUpdateTask.class);
    @Setter
    private VendorVo vendor;

    @Override
    public void updateProgress(long current, long total) {
        super.updateProgress(current, total);
    }

    @Override
    public String getTaskName() {
        return "CompanyVendorEvaluationFormUpdateTask";
    }

    @Override
    protected Object execute(MessageHolder holder) throws Exception {
        updateTitle("更新供应商评价表");
        return callRemoteTask(holder, getLocale(), vendor.getId());
    }
}
